class ImageStyleAddForm
Same name and namespace in other branches
- 11.x core/modules/image/src/Form/ImageStyleAddForm.php \Drupal\image\Form\ImageStyleAddForm
- 10 core/modules/image/src/Form/ImageStyleAddForm.php \Drupal\image\Form\ImageStyleAddForm
- 9 core/modules/image/src/Form/ImageStyleAddForm.php \Drupal\image\Form\ImageStyleAddForm
- main core/modules/image/src/Form/ImageStyleAddForm.php \Drupal\image\Form\ImageStyleAddForm
Controller for image style addition forms.
@internal
Hierarchy
- class \Drupal\Core\Form\FormBase implements \Drupal\Core\Form\FormInterface, \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Routing\LinkGeneratorTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait, \Drupal\Core\Routing\UrlGeneratorTrait
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
- class \Drupal\image\Form\ImageStyleFormBase extends \Drupal\Core\Entity\EntityForm
- class \Drupal\image\Form\ImageStyleAddForm extends \Drupal\image\Form\ImageStyleFormBase
- class \Drupal\image\Form\ImageStyleFormBase extends \Drupal\Core\Entity\EntityForm
- class \Drupal\Core\Entity\EntityForm implements \Drupal\Core\Entity\EntityFormInterface extends \Drupal\Core\Form\FormBase
Expanded class hierarchy of ImageStyleAddForm
File
-
core/
modules/ image/ src/ Form/ ImageStyleAddForm.php, line 12
Namespace
Drupal\image\FormView source
class ImageStyleAddForm extends ImageStyleFormBase {
/**
* {@inheritdoc}
*/
public function submitForm(array &$form, FormStateInterface $form_state) {
parent::submitForm($form, $form_state);
$this->messenger()
->addStatus($this->t('Style %name was created.', [
'%name' => $this->entity
->label(),
]));
}
/**
* {@inheritdoc}
*/
public function actions(array $form, FormStateInterface $form_state) {
$actions = parent::actions($form, $form_state);
$actions['submit']['#value'] = $this->t('Create new style');
return $actions;
}
}
Members
| Title Sort descending | Deprecated | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|---|
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | |||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | |||
| DependencySerializationTrait::__sleep | public | function | 1 | |||
| DependencySerializationTrait::__wakeup | public | function | 2 | |||
| EntityForm::$entityTypeManager | protected | property | The entity type manager. | 3 | ||
| EntityForm::$moduleHandler | protected | property | The module handler service. | |||
| EntityForm::$operation | protected | property | The name of the current operation. | |||
| EntityForm::$privateEntityManager | private | property | The entity manager. | |||
| EntityForm::actionsElement | protected | function | Returns the action form element for the current entity form. | |||
| EntityForm::afterBuild | public | function | Form element #after_build callback: Updates the entity with submitted data. | |||
| EntityForm::buildEntity | public | function | Overrides EntityFormInterface::buildEntity | 3 | ||
| EntityForm::buildForm | public | function | Overrides FormInterface::buildForm | 13 | ||
| EntityForm::copyFormValuesToEntity | protected | function | Copies top-level form values to entity properties | 9 | ||
| EntityForm::getBaseFormId | public | function | Overrides BaseFormIdInterface::getBaseFormId | 6 | ||
| EntityForm::getEntity | public | function | Overrides EntityFormInterface::getEntity | |||
| EntityForm::getEntityFromRouteMatch | public | function | Overrides EntityFormInterface::getEntityFromRouteMatch | 3 | ||
| EntityForm::getFormId | public | function | Overrides FormInterface::getFormId | 12 | ||
| EntityForm::getOperation | public | function | Overrides EntityFormInterface::getOperation | |||
| EntityForm::init | protected | function | Initialize the form state and the entity before the first form build. | 3 | ||
| EntityForm::prepareEntity | protected | function | Prepares the entity object before the form is built first. | 3 | ||
| EntityForm::prepareInvokeAll | protected | function | Invokes the specified prepare hook variant. | |||
| EntityForm::processForm | public | function | Process callback: assigns weights and hides extra fields. | |||
| EntityForm::setEntity | public | function | Overrides EntityFormInterface::setEntity | |||
| EntityForm::setEntityManager | public | function | Overrides EntityFormInterface::setEntityManager | |||
| EntityForm::setEntityTypeManager | public | function | Overrides EntityFormInterface::setEntityTypeManager | |||
| EntityForm::setModuleHandler | public | function | Overrides EntityFormInterface::setModuleHandler | |||
| EntityForm::setOperation | public | function | Overrides EntityFormInterface::setOperation | |||
| EntityForm::__get | public | function | ||||
| EntityForm::__set | public | function | ||||
| FormBase::$configFactory | protected | property | The config factory. | 3 | ||
| FormBase::$requestStack | protected | property | The request stack. | 1 | ||
| FormBase::$routeMatch | protected | property | The route match. | |||
| FormBase::config | protected | function | Retrieves a configuration object. | |||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 3 | ||
| FormBase::container | private | function | Returns the service container. | |||
| FormBase::currentUser | protected | function | Gets the current user. | |||
| FormBase::getRequest | protected | function | Gets the request object. | |||
| FormBase::getRouteMatch | protected | function | Gets the route match. | |||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | |||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | Overrides UrlGeneratorTrait::redirect | ||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | |||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | |||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | |||
| FormBase::validateForm | public | function | Overrides FormInterface::validateForm | 73 | ||
| ImageStyleAddForm::actions | public | function | Overrides EntityForm::actions | |||
| ImageStyleAddForm::submitForm | public | function | Overrides EntityForm::submitForm | |||
| ImageStyleFormBase::$entity | protected | property | The entity being used by this form. | Overrides EntityForm::$entity | ||
| ImageStyleFormBase::$imageStyleStorage | protected | property | The image style entity storage. | |||
| ImageStyleFormBase::create | public static | function | Overrides FormBase::create | 1 | ||
| ImageStyleFormBase::form | public | function | Overrides EntityForm::form | 1 | ||
| ImageStyleFormBase::save | public | function | Overrides EntityForm::save | 1 | ||
| ImageStyleFormBase::__construct | public | function | Constructs a base class for image style add and edit forms. | 1 | ||
| LinkGeneratorTrait::$linkGenerator | protected | property | The link generator. | 1 | ||
| LinkGeneratorTrait::getLinkGenerator | Deprecated | protected | function | Returns the link generator. | ||
| LinkGeneratorTrait::l | Deprecated | protected | function | Renders a link to a route given a route name and its parameters. | ||
| LinkGeneratorTrait::setLinkGenerator | Deprecated | public | function | Sets the link generator service. | ||
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | |||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | |||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | |||
| MessengerTrait::$messenger | protected | property | The messenger. | 29 | ||
| MessengerTrait::messenger | public | function | Gets the messenger. | 29 | ||
| MessengerTrait::setMessenger | public | function | Sets the messenger. | |||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 1 | ||
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | |||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | |||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | |||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 1 | ||
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | |||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | |||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | |||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | ||
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | |||
| UrlGeneratorTrait::$urlGenerator | protected | property | The url generator. | |||
| UrlGeneratorTrait::getUrlGenerator | Deprecated | protected | function | Returns the URL generator service. | ||
| UrlGeneratorTrait::setUrlGenerator | Deprecated | public | function | Sets the URL generator service. | ||
| UrlGeneratorTrait::url | Deprecated | protected | function | Generates a URL or path for a specific route based on the given parameters. |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.